Page MenuHomeFreeBSD

Add bsearch_b to the libc map and the stdlib header.
ClosedPublic

Authored by pfg on Aug 19 2014, 7:33 PM.

Details

Reviewers
theraven
pfg
Summary

bsearch_b is the Apple blocks enabled version of bsearch(3).
This was added to libc in Revision 264042 but the commit
missed the declaration required to make use of it.

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

pfg retitled this revision from to Add bsearch_b to the libc map and the stdlib header..Aug 19 2014, 7:33 PM
pfg updated this object.
pfg edited the test plan for this revision. (Show Details)
pfg added a reviewer: theraven.
pfg updated this revision to Diff 1156.

Shouldn't all of these BLOCKS declarations be moved down to the main BSD_VISIBLE block, since they are non-standard interfaces?

pfg added a comment.Aug 25 2014, 2:33 AM
In D638#3, @wollman wrote:

Shouldn't all of these BLOCKS declarations be moved down to the main BSD_VISIBLE block, since they are non-standard interfaces?

Yes, I think that is reasonable.

They were proposed as N1451, and have become popular but they are not standard.

pfg updated this revision to Diff 1249.Aug 25 2014, 2:49 AM
  1. Updating D638: Add bsearch_b to the libc map and the stdlib header. #

As suggested by Garrett Wollman, move the block declarations
to the BSD_VISIBLE section.

pfg added a reviewer: pfg.Sep 1 2014, 10:27 PM
pfg accepted this revision.

...
Sending include/stdlib.h
Sending lib/libc/stdlib/Symbol.map
Transmitting file data ..
Committed revision 270952.

Special Thanks to wollman for the review!

This revision is now accepted and ready to land.Sep 1 2014, 10:27 PM
pfg closed this revision.Feb 6 2015, 2:32 PM

This was committed (long ago) as r270952.
Thanks!